#!/bin/sh

# Set Variables 
XF86_LIB_DIR="/usr/X11R6/lib/modules"
XF86_DRV_DIR="/usr/X11R6/lib/modules/drivers"

# Uninstall
if [ "$1" = "uninstall" ]; then
echo "AST2000/2100 FreeBSD XORG 6.9 driver uninstall begin ...."
rm -f $XF86_DRV_DIR/ast_drv.*
rm -f $XF86_LIB_DIR/libddc.*
rm -f $XF86_LIB_DIR/libfb.*
rm -f $XF86_LIB_DIR/libint10.*
rm -f $XF86_LIB_DIR/libramdac.*
rm -f $XF86_LIB_DIR/libvbe.*
rm -f $XF86_LIB_DIR/libvgahw.*
rm -f $XF86_LIB_DIR/libxaa.*

test -e ./backup/ast_drv.* && cp -f ./backup/ast_drv.*   $XF86_DRV_DIR
cp -f ./backup/libddc.*    $XF86_LIB_DIR
cp -f ./backup/libfb.*     $XF86_LIB_DIR
cp -f ./backup/libint10.*  $XF86_LIB_DIR 
# cp -f ./backup/libint10.*  $XF86_LIB_DIR/Linux
cp -f ./backup/libramdac.* $XF86_LIB_DIR
cp -f ./backup/libvbe.*    $XF86_LIB_DIR
cp -f ./backup/libvgahw.*  $XF86_LIB_DIR
cp -f ./backup/libxaa.*    $XF86_LIB_DIR

rm -rf ./backup
echo "AST2000/2100 FreeBSD XORG 6.9 driver Uninstall Finished"
exit 0
fi

# Force Install
if [ "$1" = "force" ]; then
echo "AST2000/2100 FreeBSD XORG 6.9 driver update begin ...."
rm -rf ./backup
mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.* && cp -f $XF86_DRV_DIR/ast_drv.* ./backup
cp -f $XF86_LIB_DIR/libddc.* ./backup
cp -f $XF86_LIB_DIR/libfb.* ./backup
cp -f $XF86_LIB_DIR/libint10.* ./backup
cp -f $XF86_LIB_DIR/libramdac.* ./backup
cp -f $XF86_LIB_DIR/libvbe.* ./backup
cp -f $XF86_LIB_DIR/libvgahw.* ./backup
cp -f $XF86_LIB_DIR/libxaa.* ./backup

rm -f $XF86_DRV_DIR/ast_drv.*
rm -f $XF86_LIB_DIR/libddc.*
rm -f $XF86_LIB_DIR/libfb.*
rm -f $XF86_LIB_DIR/libint10.* 
# rm -f $XF86_LIB_DIR/Linux/libint10.*
rm -f $XF86_LIB_DIR/libramdac.*
rm -f $XF86_LIB_DIR/libvbe.*
rm -f $XF86_LIB_DIR/libvgahw.*
rm -f $XF86_LIB_DIR/libxaa.*

cp -f ast_drv.*   $XF86_DRV_DIR
cp -f libddc.*    $XF86_LIB_DIR
cp -f libfb.*     $XF86_LIB_DIR
cp -f libint10.*  $XF86_LIB_DIR 
# cp -f libint10.*  $XF86_LIB_DIR/Linux
cp -f libramdac.* $XF86_LIB_DIR
cp -f libvbe.*    $XF86_LIB_DIR
cp -f libvgahw.*  $XF86_LIB_DIR
cp -f libxaa.*    $XF86_LIB_DIR

echo "AST2000/2100 FreeBSD XORG 6.9 driver update finished"
exit 0
fi

# Install
echo "AST2000/2100 FreeBSD XORG 6.9 driver update begin ...."
rm -rf ./backup
mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.* && cp -f $XF86_DRV_DIR/ast_drv.* ./backup
cp -f $XF86_LIB_DIR/libddc.* ./backup
cp -f $XF86_LIB_DIR/libfb.* ./backup
cp -f $XF86_LIB_DIR/libint10.* ./backup
cp -f $XF86_LIB_DIR/libramdac.* ./backup
cp -f $XF86_LIB_DIR/libvbe.* ./backup
cp -f $XF86_LIB_DIR/libvgahw.* ./backup
cp -f $XF86_LIB_DIR/libxaa.* ./backup

rm -f $XF86_DRV_DIR/ast_drv.*
cp -f ast_drv.*   $XF86_DRV_DIR
echo "AST2000/2100 FreeBSD XORG 6.9 driver update finished"


