#!/bin/sh

# Set Variables 
XF86_DRV_DIR="/usr/X11R6/lib/xorg/modules/drivers"

# Uninstall
if [ "$1" = "uninstall" ]; then
echo "AST1100/2000/2050/2100 XORG 7.3 driver uninstall begin ...."
rm -f $XF86_DRV_DIR/ast_drv.*

test -e ./backup/ast_drv.so && cp -f ./backup/ast_drv.*   $XF86_DRV_DIR/ast_drv.*

rm -rf ./backup
echo "AST1100/2000/2050/2100 XORG 7.3 driver Uninstall Finished"
exit 0
fi

# Install
echo "AST1100/2000/2050/2100 XORG 7.3 driver update begin ...."
rm -rf ./backup
mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.so && cp -f $XF86_DRV_DIR/ast_drv.* ./backup

rm -f $XF86_DRV_DIR/ast_drv.*

cp -f ast_drv.*   $XF86_DRV_DIR

test ! -e /usr/lib/libc.so.7 && ln -s /usr/lib/libc.so /usr/lib/libc.so.7

echo "AST1100/2000/2050/2100 XORG 7.3 driver update finished"

